> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a person



## OpenAPI

````yaml openapi-owners.json POST /v1/owners/{id}/persons
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/owners/{id}/persons:
    post:
      tags:
        - Owner Persons
      summary: Create a person
      operationId: owner_persons_create
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: object
                  properties:
                    line1:
                      type: string
                    line2:
                      type: string
                    city:
                      type: string
                    country:
                      type: string
                    postal_code:
                      type: string
                    state:
                      type:
                        - string
                        - 'null'
                  required:
                    - country
                  description: The individual's home address.
                dob:
                  type: object
                  properties:
                    day:
                      type:
                        - integer
                        - 'null'
                      minimum: 1
                      maximum: 31
                    month:
                      type:
                        - integer
                        - 'null'
                      minimum: 1
                      maximum: 12
                    year:
                      type:
                        - integer
                        - 'null'
                      minimum: 1900
                      maximum: 9999
                  required:
                    - day
                    - month
                    - year
                  description: The individual's date of birth.
                email:
                  type: string
                  format: email
                  description: The individual's email address.
                first_name:
                  type:
                    - string
                    - 'null'
                  description: The individual's first name.
                last_name:
                  type:
                    - string
                    - 'null'
                  description: The individual's last name.
                metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
                phone:
                  type:
                    - string
                    - 'null'
                  description: The individual's phone number.
                relationship:
                  type: object
                  properties:
                    director:
                      type: boolean
                      description: Whether the person is a director of the company.
                    executive:
                      type: boolean
                      description: Whether the person is an executive of the company.
                    owner:
                      type: boolean
                      description: Whether the person is an owner of the company.
                    percent_ownership:
                      type: number
                      minimum: 0
                      maximum: 100
                      description: The percentage of the company that the person owns.
                    representative:
                      type: boolean
                      description: >-
                        Whether the person is the legal representative of the
                        company.
                    title:
                      type:
                        - string
                        - 'null'
                      description: The person's title within the company.
                  description: The person's relationship to the company.
                title:
                  type:
                    - string
                    - 'null'
                  description: The person's title within the company.
      responses:
        '200':
          description: Returns the person object if the request succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - owner.person
                  address:
                    type:
                      - object
                      - 'null'
                    properties:
                      line1:
                        type:
                          - string
                          - 'null'
                      line2:
                        type:
                          - string
                          - 'null'
                      city:
                        type:
                          - string
                          - 'null'
                      country:
                        type:
                          - string
                          - 'null'
                      postal_code:
                        type:
                          - string
                          - 'null'
                      state:
                        type:
                          - string
                          - 'null'
                    description: The individual's home address.
                  dob:
                    type:
                      - object
                      - 'null'
                    properties:
                      day:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                        maximum: 31
                      month:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                        maximum: 12
                      year:
                        type:
                          - integer
                          - 'null'
                        minimum: 1900
                        maximum: 9999
                    required:
                      - day
                      - month
                      - year
                    description: The individual's date of birth.
                  email:
                    type:
                      - string
                      - 'null'
                    format: email
                    description: The individual’s email address.
                  first_name:
                    type:
                      - string
                      - 'null'
                    description: The individual's first name.
                  last_name:
                    type:
                      - string
                      - 'null'
                    description: The individual's last name.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  phone:
                    type:
                      - string
                      - 'null'
                    description: The individual's phone number.
                  relationship:
                    type: object
                    properties:
                      director:
                        type:
                          - boolean
                          - 'null'
                        description: Whether the person is a director of the company.
                      executive:
                        type:
                          - boolean
                          - 'null'
                        description: Whether the person is an executive of the company.
                      owner:
                        type:
                          - boolean
                          - 'null'
                        description: Whether the person is an owner of the company.
                      percent_ownership:
                        type:
                          - number
                          - 'null'
                        minimum: 0
                        maximum: 100
                        description: The percentage of the company that the person owns.
                      representative:
                        type:
                          - boolean
                          - 'null'
                        description: >-
                          Whether the person is the legal representative of the
                          company.
                      title:
                        type:
                          - string
                          - 'null'
                        description: >-
                          The person's title within the company (e.g., CEO,
                          Director).
                    required:
                      - director
                      - executive
                      - owner
                      - percent_ownership
                      - representative
                      - title
                    description: Describes the person's relationship to the company.
                  title:
                    type:
                      - string
                      - 'null'
                    description: The person's title within the company.
                  verification_session:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The verification session associated with the person.
                  verification:
                    type: object
                    properties:
                      status:
                        type:
                          - string
                          - 'null'
                        description: The verification status of the person.
                    required:
                      - status
                    description: Verification status information.
                required:
                  - id
                  - created
                  - object
                  - address
                  - dob
                  - email
                  - first_name
                  - last_name
                  - phone
                  - relationship
                  - title
                  - verification_session
                  - verification
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````